X ,Y Corordinate display

Discussion in 'AutoCAD' started by jochen, Sep 10, 2003.

  1. jochen

    jochen Guest

    Try this
    ;
    ;
    ;
    (defun C:writco( / x tt)

    (command "osmode" 33)
    (setq x (getpoint "\nPick point : "))
    (setq tt (strcat (rtos (car x)) " " (rtos (cadr x)) " " (rtos (caddr
    x))))
    (setq x (getpoint "\nText where ? : "))
    (command "_text" x "" "" tt )
    (terpri)
    )
    ;
    ;
    ;
    Good luck
    Jochen
    www.black-cad.de
     
    jochen, Sep 10, 2003
    #1
  2. In R14 & R2000i how do you display x y corodinates of specific points
    on the drawing itself?

    JPC
     
    John Callaway, Sep 10, 2003
    #2
  3. jochen

    bestafor Guest

    HiHo;
    Use "Dim" "Ordinate"
     
    bestafor, Sep 10, 2003
    #3
  4. jochen

    bestafor Guest

    HiHo;
    Use "Dim" "Ordinate"
     
    bestafor, Sep 10, 2003
    #4
  5. jochen

    bestafor Guest

    HiHo;
    Use "Dim" "Ordinate"
     
    bestafor, Sep 10, 2003
    #5
  6. Ron,
     
    John Callaway, Sep 10, 2003
    #6
  7. Thanks Jochen, but way over my head.

    JPC
     
    John Callaway, Sep 10, 2003
    #7
  8. I tried Dim Ordinate and could not display xy corordinates of
    different points. Could you take me through it step by step?

    JPC
     
    John Callaway, Sep 10, 2003
    #8
  9. jochen

    R. Wink Guest

    I use "ID" on the command line and then pick the point.
    R. Wink
     
    R. Wink, Sep 10, 2003
    #9
  10. It shows xy corordinates in text box but not on the drawing as text.
    I need to show the corordinates as text on the drawing.


    JPC
     
    John Callaway, Sep 10, 2003
    #10
  11. On Wed, 10 Sep 2003 19:45:02 GMT, (John Callaway)
    wrote:

    I did what you said but got the following error when I tried to load
    the lisp file in AutoCad R14
    "Loading D:\Lisp\writco.lsp ...
    Error: malformed list*Cancel*".
    Below is file, maybe you can tell me where I went wrong.

    (defun C:writco( / x tt)

    (command "osmode" 33)
    (setq x (getpoint "\nPick point : "))
    (setq tt (strcat (rtos (car x)) " " (rtos (cadr x)) " " (rtos
    (caddr>x))))
    (setq x (getpoint "\nText where ? : "))
    (command "_text" x "" "" tt )
    (terpri)


    JPC
     
    John Callaway, Sep 12, 2003
    #11
  12. On Fri, 12 Sep 2003 11:33:09 GMT, Michel

    Thanks! It works! Is there an easy way to change the text size other
    than using the modify scale command? Also what file do I load it into
    so it runs every time I start auto cad?

    JPC
     
    John Callaway, Sep 12, 2003
    #12
  13. or with autolisp:
    (defun c:coord ()
    (command "leader" (setq p (getpoint)) pause "" (rtos (car p)) (rtos
    (cadr p)) ""))
     
    Bruno Lintermans, Dec 1, 2003
    #13
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.